
var assert = require('assert')

var mime = require('..')

var set = mime.contentType

describe('.lookup()', function () {
  it('jade', function () {
    assert.equal(mime.lookup('jade'), 'text/jade')
    assert.equal(mime.lookup('.jade'), 'text/jade')
    assert.equal(mime.lookup('file.jade'), 'text/jade')
    assert.equal(mime.lookup('folder/file.jade'), 'text/jade')
  })
})

describe('.contentType()', function () {
  it('html', function () {
    assert.equal(set('html'), 'text/html; charset=utf-8')
  })

  it('text/html; charset=ascii', function () {
    assert.equal(set('text/html; charset=ascii'), 'text/html; charset=ascii')
  })

  it('json', function () {
    assert.equal(set('json'), 'application/json')
  })

  it('application/json', function () {
    assert.equal(set('application/json'), 'application/json')
  })

  it('jade', function () {
    assert.equal(set('jade'), 'text/jade; charset=utf-8')
  })
})
